%define name raptor-gnome-theme
%define version 1.1
%define release 3%{?dist}
%define source	raptor-gnome-theme-1.1.tar.gz


Name: %{name}
Version: %{version}
Release: %{release}
Source: http://www.gnome-look.org/CONTENT/content-files/%{source}
Patch0: %{name}-%{version}.patch	 
Summary: A remixed slickness gtk2 and metacity theme
License: GPLv2
Group: User Interface/Desktops
URL: http://www.gnome-look.org/content/show.php/Raptor+(Slickness+remix)?content=86048

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: gnome-icon-theme, gnome-themes, metacity
BuildRequires: findutils
BuildArch: noarch

%description
Raptor is a new version of the GTK theme "Slickness",
abandonate in 2.21 version. Buttons, scrollbars,
progressbars, entrymenu (and more) was remake. 

%prep
%setup -q
%patch0 -p1 -b .%{name}-%{version}.patch

%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}%{_datadir}/themes/Raptor/
%{__mkdir} -p %{buildroot}%{_datadir}/backgrounds/images/
%{__cp} -pf index.theme %{buildroot}%{_datadir}/themes/Raptor/
%{__cp} -rpf gtk-2.0 %{buildroot}%{_datadir}/themes/Raptor/
%{__cp} -rpf metacity-1 %{buildroot}%{_datadir}/themes/Raptor/
%{__cp} -pf 'wall 1.jpg' %{buildroot}%{_datadir}/backgrounds/images/wall1.jpg
%{__cp} -pf 'wall 2.jpg' %{buildroot}%{_datadir}/backgrounds/images/wall2.jpg

# ugly renaming
%{__cp} -pf Changelog changelog
%{__rm} -f Changelog
%{__cp} -pf 'What is Raptor.txt' readme
%{__rm} -f 'What is Raptor.txt'
# remove the patch file
%{__rm} -f %{buildroot}%{_datadir}/themes/Raptor/gtk-2.0/*.patch

# cleanup wrong permissions
cd %{buildroot}%{_datadir}/themes/
find . -type d -exec chmod 755 {} \;
find . -type f -exec chmod 644 {} \;
# remove useless file copies
find . -name '*copy)*' -print0 | xargs -0 rm -rf


%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc readme changelog
%{_datadir}/themes/Raptor/
%{_datadir}/backgrounds/images/wall*.jpg


%changelog
* Tue Dec 30 2008 Matthias Haase <matthias_haase@bennewitz.com> - 1.1-3
- fix for wrong warning about the missed theme engine

* Tue Dec 30 2008 Matthias Haase <matthias_haase@bennewitz.com> - 1.1-2
- harder fixed index.theme file 

* Tue Dec 30 2008 Matthias Haase <matthias_haase@bennewitz.com> - 1.1-1
- source tarball recreated - updated to 1.1
- wall3.jpg removed
- index.theme without icon theme definition

* Thu Nov 27 2008 Matthias <matthias_haase@bennewitz.com> - 1.0-3
- Rebuild for Fedora 10

* Wed Aug 27 2008 Matthias Haase <matthias_haase@bennewitz.com> - 1.0-1
- Initial package - source tarball recreated
- raptor-gnome-theme-1.0.patch added
- patch contains fix for the evolution-selected-mail problem 
